<?php
/**
 * An instance for action resolver classes
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
interface ActionResolver extends Resolver {
	/**
	 * Returns an action instance for the current action
	 *
	 * @return	$actionInstance		An instance of the resolved action
	 */
	function resolveAction ();

	/**
	 * Returns an action instance for a given request class
	 *
	 * @param	$requestInstance	An instance of a request class
	 * @return	$actionInstance		An instance of the resolved action
	 */
	function resolveActionByRequest (Requestable $requestInstance);

	/**
	 * Checks wether the given action is valid
	 *
	 * @param	$actionName		The default action we shall execute
	 * @return	$isValid		Wether the given action is valid
	 * @throws	EmptyVariableException	Thrown if given action is not set
	 */
	function isActionValid ($actionName);
}

//
?>
