<?php
// Change directory
@chdir("../..");

// Set testing mode (no starter.php will be loaded!)
define('TEST_MODE', true);

// Load config file
require(dirname(dirname(dirname(__FILE__))) . "/inc/config.php");

// Load all include files
require($cfg->readConfig('base_path') . 'inc/includes.php');

// Load all game classes
require($cfg->readConfig('base_path') . 'inc/classes.php');

// Load file I/O handler
require($cfg->readConfig('base_path') . 'inc/file_io.php');

// Load database layer
require($cfg->readConfig('base_path') . 'inc/database.php');

// Set default application
FrameworkConfiguration::getInstance()->setConfigEntry('default_application', 'ship-simu');
$application = 'ship-simu';

// Load more includes
require($cfg->readConfig('base_path') . 'application/ship-simu/loader.php');

// Wir tun hier so, als waere schon das Reederei-Objekt generiert und wir wollen
// jetzt die Personalliste wiederherstellen
try {
	$personell = SimulatorPersonell::createSimulatorPersonellByID('SimulatorPersonell@829292aeca3f6bf78c16e25fc4f75c98');
} catch (InvalidIDFormatException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (FileIsEmptyException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (FilePointerNotOpenedException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidMD5ChecksumException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidDataLengthException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidSimulatorIDException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (MismatchingCompressorsException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (ContainerItemIsNullException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (ContainerItemIsNoArrayException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (ContainerMaybeDamagedException $e) {
	die(sprintf("[Main:] Could  not create personal list for follwing reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
}

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	echo sprintf("The personal object looks like this:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	);
}

// Erstmal bis hier hin
exit();

// Etwas zum Testen...
try {
	$personell = SimulatorPersonell::createSimulatorPersonell(20);
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Personal list not created for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Personal list not created for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Personal list not created for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
}

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	echo sprintf("The personal object looks like this:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	);
}

// Try to save the object (for testing purposes)
try {
	$personell->saveObjectToDatabase();
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidObjectException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (UnsupportedLimitationPartException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Object not saved for following reason: <span class=\"exception_reason\">%s</span><br />\n",
		$e->getMessage()
	));
}

//
?>
